curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Create a batch of properties using the same rules as when creating an individual property.
curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The type of object for which a batch of new properties is being created.
Show child attributes
successful operation
The timestamp indicating when the batch operation was completed.
Show child attributes
The timestamp indicating when the batch operation began processing.
The current status of the batch operation, with possible values being CANCELED, COMPLETE, PENDING, or PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
A collection of URLs linking to documentation or resources related to the batch operation.
Show child attributes
The total number of errors encountered during the batch operation.
The timestamp indicating when the batch operation was requested.
Was this page helpful?